summaryrefslogtreecommitdiff
path: root/util/stress_mapgen.sh
diff options
context:
space:
mode:
authorSmallJoker <mk939@ymail.com>2022-07-22 19:47:21 +0200
committerSmallJoker <mk939@ymail.com>2022-07-22 20:13:10 +0200
commit2351c9561265d4136f78ce3dd73c0c77acfed711 (patch)
tree966490c44538589d0b307762d60fe6b9360beac8 /util/stress_mapgen.sh
parent8dcbca1068225b6896c3630b390c64d5946d2c73 (diff)
downloadminetest-2351c9561265d4136f78ce3dd73c0c77acfed711.tar.gz
minetest-2351c9561265d4136f78ce3dd73c0c77acfed711.tar.bz2
minetest-2351c9561265d4136f78ce3dd73c0c77acfed711.zip
Util: Use quotation marks for safe path handling
Diffstat (limited to 'util/stress_mapgen.sh')
-rwxr-xr-xutil/stress_mapgen.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/util/stress_mapgen.sh b/util/stress_mapgen.sh
index ba152dd80..6bbe57483 100755
--- a/util/stress_mapgen.sh
+++ b/util/stress_mapgen.sh
@@ -14,17 +14,17 @@ run () {
fi
}
-[ -e $minetest ] || { echo "executable $minetest missing"; exit 1; }
+[ -e "$minetest" ] || { echo "executable $minetest missing"; exit 1; }
-rm -rf $worldpath
-mkdir -p $worldpath/worldmods
+rm -rf "$worldpath"
+mkdir -p "$worldpath/worldmods"
settings=(sqlite_synchronous=0 helper_mode=mapgen)
[ -n "$PROFILER" ] && settings+=(profiler_print_interval=15)
-printf '%s\n' "${settings[@]}" >$testspath/server.conf \
+printf '%s\n' "${settings[@]}" >"$testspath/server.conf" \
-ln -s $dir/helper_mod $worldpath/worldmods/
+ln -s "$dir/helper_mod" "$worldpath/worldmods/"
-args=(--config $conf_server --world $worldpath --gameid $gameid)
+args=(--config "$conf_server" --world "$worldpath" --gameid $gameid)
[ -n "$PROFILER" ] && args+=(--verbose)
-run $minetest --server "${args[@]}"
+run "$minetest" --server "${args[@]}"